Results 1 to 4 of 4

Thread: Broke pip3.3

  1. #1
    Join Date
    Feb 2012
    Location
    Belarus
    Posts
    51

    Default Broke pip3.3

    After installations and deinstallation of some python related packages via pip and zypper i broke pip3.3
    Every time i trying to launch it i get:
    Code:
    pip3.3 
    Traceback (most recent call last):
      File "/usr/bin/pip3.3", line 9, in <module>
        load_entry_point('pip==1.5', 'console_scripts', 'pip3.3')()
      File "/usr/lib/python3.3/site-packages/pip/__init__.py", line 177, in main
        cmd_name, cmd_args = parseopts(initial_args)
      File "/usr/lib/python3.3/site-packages/pip/__init__.py", line 129, in parseopts
        parser = create_main_parser()
      File "/usr/lib/python3.3/site-packages/pip/__init__.py", line 122, in create_main_parser
        description = [''] + ['%-27s %s' % (i, j) for i, j in command_summaries]
      File "/usr/lib/python3.3/site-packages/pip/__init__.py", line 122, in <listcomp>
        description = [''] + ['%-27s %s' % (i, j) for i, j in command_summaries]
      File "/usr/lib/python3.3/site-packages/pip/commands/__init__.py", line 55, in get_summaries
        cmditems = _sort_commands(commands, commands_order)
      File "/usr/lib/python3.3/site-packages/pip/commands/__init__.py", line 88, in _sort_commands
        return sorted(list(cmddict.items()), key=keyfn)
    TypeError: 'module' object is not callable
    System 13.1
    For python3 packages mostly use devel:languages: python3


    I tried to completely remove any python3 package and cleaned /usr/lib/python3.3/site-packages/ but didn't help.

  2. #2
    Join Date
    Jun 2008
    Location
    San Diego, Ca, USA
    Posts
    11,264
    Blog Entries
    2

    Default Re: Broke pip3.3

    From a root console, try force re-installing pip, eg
    Code:
    zypper in -f python-pip
    HTH,
    TSU

  3. #3
    Join Date
    Feb 2012
    Location
    Belarus
    Posts
    51

    Default Re: Broke pip3.3

    pip2.7 works well.

    HTML Code:
    zypper in -f python3-pip
    doesn't help.

  4. #4

    Default Re: Broke pip3.3

    Hi, I had the same issue. In my case it was because I was using the version in the python3 devel repository. Try to downgrade the python3-pip package to the one in the Main Repository and call it with pip-3.3.

    Cheers.

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •